﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;

	public class Damier extends Sprite
	{
		private var col:Number = 15;
		private var line:Number = 15;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 500;
		private var diametre:Number = 100;
		private var col2:Number = 15;
		private var line2:Number = 15;
		private var grid2:Sprite;
		private var points2:Array;
		private var amplitude2:Number = 1000;
		private var diametre2:Number = 150;
		private var col3:Number = 15;
		private var line3:Number = 15;
		private var grid3:Sprite;
		private var points3:Array;
		private var amplitude3:Number = 1500;
		private var diametre3:Number = 200;
		private var col4:Number = 15;
		private var line4:Number = 15;
		private var grid4:Sprite;
		private var points4:Array;
		private var amplitude4:Number = 2000;
		private var diametre4:Number = 250;
		
		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x =90;
			grid.y =90;
			grid2 = new Sprite();
			addChild(grid2);
			grid2.x =104;
			grid2.y =104;
			grid3 = new Sprite();
			addChild(grid3);
			grid3.x =118;
			grid3.y =118;
			grid4 = new Sprite();
			addChild(grid4);
			grid4.x =132;
			grid4.y =132;
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			points2 = new Array();
			points3 = new Array();
			points4 = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*30-mouseX+grid.x),2) + Math.pow(i*30-mouseY+grid.y,2));
					if(dist<diametre && dist>=10){
						distx= ((j*30)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*30)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*30+amplitude/distx,"y":i*30+amplitude/disty});
					}else{
						points.push({"x":j*30,"y":i*30});
					}
					dist = Math.sqrt(Math.pow((j*28-mouseX+grid2.x),2) + Math.pow(i*28-mouseY+grid2.y,2));
					if(dist<diametre2 && dist>=10){
						distx= ((j*28)-mouseX+grid2.x<0)?-dist:dist;
						disty= ((i*28)-mouseY+grid2.x<0)?-dist:dist;
						points2.push({"x":j*28+amplitude2/distx,"y":i*28+amplitude2/disty});
					}else{
						points2.push({"x":j*28,"y":i*28});
					}
					dist = Math.sqrt(Math.pow((j*26-mouseX+grid3.x),2) + Math.pow(i*26-mouseY+grid3.y,2));
					if(dist<diametre3 && dist>=10){
						distx= ((j*26)-mouseX+grid3.x<0)?-dist:dist;
						disty= ((i*26)-mouseY+grid3.x<0)?-dist:dist;
						points3.push({"x":j*26+amplitude3/distx,"y":i*26+amplitude3/disty});
					}else{
						points3.push({"x":j*26,"y":i*26});
					}
					dist = Math.sqrt(Math.pow((j*24-mouseX+grid4.x),2) + Math.pow(i*24-mouseY+grid4.y,2));
					if(dist<diametre4 && dist>=10){
						distx= ((j*24)-mouseX+grid4.x<0)?-dist:dist;
						disty= ((i*24)-mouseY+grid4.x<0)?-dist:dist;
						points4.push({"x":j*24+amplitude4/distx,"y":i*24+amplitude4/disty});
					}else{
						points4.push({"x":j*24,"y":i*24});
					}
				}
			}
			/*points2 = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line2;j++){
					dist = Math.sqrt(Math.pow((j*5-mouseX+grid2.x),2) + Math.pow(i*5-mouseY+grid2.y,2));
					if(dist<diametre2 && dist>=10){
						distx= ((j*5)-mouseX+grid2.x<0)?-dist:dist;
						disty= ((i*5)-mouseY+grid2.x<0)?-dist:dist;
						points2.push({"x":j*5+amplitude2/distx,"y":i*5+amplitude2/disty});
					}else{
						points2.push({"x":j*5,"y":i*5});
					}
				}
			}*/
			grid.graphics.clear();
			grid.graphics.lineStyle(1,0x0000ff);
			grid2.graphics.clear();
			grid2.graphics.lineStyle(1,0xff0000);
			grid3.graphics.clear();
			grid3.graphics.lineStyle(1,0xff00ff);
			grid4.graphics.clear();
			grid4.graphics.lineStyle(1,0x0000ff);
			for(var k:Number=0;k<points.length;k++){
				grid.graphics.beginFill(0xff0000);
				//grid.graphics.drawCircle(points[k].x,points[k].y,0.1);
				grid.graphics.endFill();
				if((k+1)%col != 0){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+1].x,points[k+1].y);
				}
				if(k+col < col*line){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
				}
				
				grid2.graphics.beginFill(0xff0000);
				//grid.graphics.drawCircle(points[k].x,points[k].y,0.1);
				grid2.graphics.endFill();
				if((k+1)%col != 0){
					grid2.graphics.moveTo(points2[k].x,points2[k].y);
					grid2.graphics.lineTo(points2[k+1].x,points2[k+1].y);
				}
				if(k+col < col*line){
					grid2.graphics.moveTo(points2[k].x,points2[k].y);
					grid2.graphics.lineTo(points2[k+col].x,points2[k+col].y);
				}
				grid3.graphics.beginFill(0xff0000);
				//grid.graphics.drawCircle(points[k].x,points[k].y,0.1);
				grid3.graphics.endFill();
				if((k+1)%col != 0){
					grid3.graphics.moveTo(points3[k].x,points3[k].y);
					grid3.graphics.lineTo(points3[k+1].x,points3[k+1].y);
				}
				if(k+col < col*line){
					grid3.graphics.moveTo(points3[k].x,points3[k].y);
					grid3.graphics.lineTo(points3[k+col].x,points3[k+col].y);
				}
				grid4.graphics.beginFill(0xff0000);
				//grid.graphics.drawCircle(points[k].x,points[k].y,0.1);
				grid4.graphics.endFill();
				if((k+1)%col != 0){
					grid4.graphics.moveTo(points4[k].x,points4[k].y);
					grid4.graphics.lineTo(points4[k+1].x,points4[k+1].y);
				}
				if(k+col < col*line){
					grid4.graphics.moveTo(points4[k].x,points4[k].y);
					grid4.graphics.lineTo(points4[k+col].x,points4[k+col].y);
				}
			}
			/*grid2.graphics.clear();
			grid2.graphics.lineStyle(1,0xffffff);*/
			/*for(var k:Number=0;k<points2.length;k++){
				grid2.graphics.beginFill(0xff0000);
				//grid.graphics.drawCircle(points[k].x,points[k].y,0.1);
				grid2.graphics.endFill();
				if((k+1)%col != 0){
					grid2.graphics.moveTo(points2[k].x,points2[k].y);
					grid2.graphics.lineTo(points2[k+1].x,points2[k+1].y);
				}
				if(k+col < col*line){
					grid2.graphics.moveTo(points2[k].x,points2[k].y);
					grid2.graphics.lineTo(points2[k+col].x,points2[k+col].y);
				}
			}*/
		}
	}
}